package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanStaffClerkRelation;

public interface TabHaobanStaffClerkRelationMapper {
    int deleteByPrimaryKey(String staffClerkRelationId);

    int insert(TabHaobanStaffClerkRelation record);

    int insertSelective(TabHaobanStaffClerkRelation record);

    TabHaobanStaffClerkRelation selectByPrimaryKey(String staffClerkRelationId);

    int updateByPrimaryKeySelective(TabHaobanStaffClerkRelation record);

    int updateByPrimaryKey(TabHaobanStaffClerkRelation record);

	List<TabHaobanStaffClerkRelation> listBindCode(@Param("enterpriseId")String enterpriseId, @Param("clerkCodeList")Set<String> clerkCodeList);

	List<TabHaobanStaffClerkRelation> listBindCodeByStaffId(@Param("enterpriseIdList")List<String> enterpriseIdList, @Param("staffId")String staffId);
	
	TabHaobanStaffClerkRelation getOneByClerkId(@Param("clerkId")String clerkId);
    /**
     * 改变状态 格局clerkId
     * @param clerkId
     * @param status
     * @return
     */
	public int changeStatusByClerkId(@Param("clerkId") String clerkId,@Param("status") Integer status);

    /**
     * 更新信息
     * @param record
     * @return
     */
    int updateByClerkId(TabHaobanStaffClerkRelation record);

    /**
     * 格局clerkId 查询staffClerkRelation
     *
     * @param clerkId
     * @param wxEnterpriseId
     * @return
     */
    TabHaobanStaffClerkRelation getBindByClerkId(@Param("clerkId") String clerkId,@Param("wxEnterpriseId") String wxEnterpriseId);
    
    TabHaobanStaffClerkRelation getByCodeAndEnterpriseId(@Param("clerkCode")String clerkCode, @Param("enterpriseId")String enterpriseId);
    /**
     * 解绑
     */
    void delByStoreIdAndCode( @Param("storeId")String storeId,@Param("clerkCode")String clerkCode);
    
    
    List<TabHaobanStaffClerkRelation> listByClerkIds(@Param("clerkIds") List<String> clerkIds);

    List<TabHaobanStaffClerkRelation> listByStoreId(@Param("storeId")String storeId);
    
    TabHaobanStaffClerkRelation getOneByStoreIdAndStaffId(@Param("storeId")String storeId,@Param("staffId")String staffId);

    /**
     * 解绑
     */
    int cleanStaffDepart( @Param("wxEnterpriseId")String wxEnterpriseId,@Param("staffIds")List<String> staffIds);

    TabHaobanStaffClerkRelation getOneBindCodeNoStatus(@Param("enterpriseId")String enterpriseId, @Param("clerkCode")String clerkCode);

    TabHaobanStaffClerkRelation getOneBindStoreId(@Param("staffId")String staffId, @Param("storeId")String storeId);

	TabHaobanStaffClerkRelation getByClerkId(@Param("clerkId")String clerkId);
	
	int delByPrimaryKey(@Param("staffClerkRelationId")String staffClerkRelationId);
}